## cascading.cascade
Class CascadeConnector

    java.lang.Object
      cascading.cascade.CascadeConnector

    public class CascadeConnector

extends Object

Class CascadeConnector is used to construct a new `Cascade` instance from a collection of `Flow` instance.

Note order is not significant when adding passing Flow instances to the `connect(String, Flow...)` method. This connector will order them based on their dependencies, if any.

Constructor Summary
`CascadeConnector()` Constructor CascadeConnector creates a new CascadeConnector instance.
`CascadeConnector(Map<Object,Object> properties)` Constructor CascadeConnector creates a new CascadeConnector instance.

Method Summary
`Cascade` `connect(Collection<Flow> flows)` Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance.
`Cascade` `connect(Flow... flows)` Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance.
`Cascade` `connect(String name, Collection<Flow> flows)` Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance.
`Cascade` `connect(String name, Flow... flows)` Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CascadeConnector

    public CascadeConnector()

  Constructor CascadeConnector creates a new CascadeConnector instance.

### CascadeConnector

    @ConstructorProperties(value="properties")
    public CascadeConnector(Map<Object,Object> properties)

  Constructor CascadeConnector creates a new CascadeConnector instance.

  Parameters:
    `properties` - of type Map<Object, Object>

Method Detail

### connect

    public Cascade connect(Collection<Flow> flows)

  Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance. The name of the Cascade is derived from the given Flow instances.

  Parameters:
    `flows` - of type Collection<Flow>
  Returns:
    Cascade

### connect

    public Cascade connect(String name,
                           Collection<Flow> flows)

  Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance.

  Parameters:
    `name` - of type String
    `flows` - of type Collection<Flow>
  Returns:
    Cascade

### connect

    public Cascade connect(Flow... flows)

  Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance. The name of the Cascade is derived from the given Flow instances.

  Parameters:
    `flows` - of type Flow
  Returns:
    Cascade

### connect

    public Cascade connect(String name,
                           Flow... flows)

  Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance.

  Parameters:
    `name` - of type String
    `flows` - of type Flow
  Returns:
    Cascade

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.